LibreOffice: XMergeableCellRange Interface Reference

LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XMergeableCellRange Interface Reference

represents a range of cells that can possibly be merged or unmerged. More...

`import"XMergeableCellRange.idl";`

Inheritance diagram for XMergeableCellRange:

## Public Member Functions
void | merge () raises ( ::com::sun::star::lang::NoSupportException )
| merges the area specified by this range. More...
void | split ([in] long Columns, [in] long Rows) raises ( ::com::sun::star::lang::NoSupportException, ::com::sun::star::lang::IllegalArgumentException )
| splits the cells in this range. More...
boolean | isMergeable ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

represents a range of cells that can possibly be merged or unmerged.

## Member Function Documentation

## ◆ isMergeable()

boolean isMergeable | ( |  | ) |

Returns
  `TRUE` if all cells from this range can be merged to one or `FALSE` otherwise.

## ◆ merge()

void merge | ( |  | ) |
raises | ( | ::com::sun::star::lang::NoSupportException
| ) |  |

merges the area specified by this range.

Exceptions

  com::sun::star::lang::NoSupportException | if a merge is not possible for this range. You can use isMergeable() to check if a merge is possible.

## ◆ split()

void split | ( | [in] long | Columns,
|  | [in] long | Rows
| ) |  |
raises | ( | ::com::sun::star::lang::NoSupportException,
|  | ::com::sun::star::lang::IllegalArgumentException
| ) |  |

splits the cells in this range.

This will be done by inserting rows and columns if needed or unmerging cells that are already split.

Parameters

  Columns | this is the number of columns that will be added to each cell. Zero means no new columns
  Rows | this is the number of rows that will be added to each cell. Zero means no new rows

Exceptions

  com::sun::star::lang::IllegalArgumentException | if at least one of the parameters is less than zero.
  com::sun::star::lang::NoSupportException | if a split is not possible for this range.

The documentation for this interface was generated from the following file:

- com/sun/star/table/XMergeableCellRange.idl